This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 782514 - Propose that you turn on PrivateTmp=true in service file for nagios
Propose that you turn on PrivateTmp=true in service file for nagios
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: nagios (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Keiran Smith
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PrivateTmp
  Show dependency treegraph
 
Reported: 2012-01-17 10:51 EST by Daniel Walsh
Modified: 2015-02-17 09:03 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 09:03:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Daniel Walsh 2012-01-17 10:51:08 EST
I would like to propose using PrivateTmp for nagios systemd unit file
This should make the use of /tmp directory more secure
and avoid users from being able to potentially effect it.

http://fedoraproject.org/wiki/Features/ServicesPrivateTmp
Comment 1 Daniel Walsh 2012-02-06 15:46:05 EST
Any change on this bug.  We are coming up to Feature Freeze, and would like some comment on this bug.

If you do not believe this application uses /tmp than please comment on this and close the bug.  

If you believe this application needs to use /tmp to communicate with other applications or users then you can close this bug with that comment.

If your app does not use systemd, then close this bug with that comment.

If you have no idea, then please add a comment, and change the bug to assigned.

I need to update the status on this feature.


Thanks for your help.
Comment 2 Jose Pedro Oliveira 2012-02-06 20:08:23 EST
(In reply to comment #1)
> Any change on this bug.  We are coming up to Feature Freeze, and would like
> some comment on this bug.
> 
> If you do not believe this application uses /tmp than please comment on this
> and close the bug.  
> 
> If you believe this application needs to use /tmp to communicate with other
> applications or users then you can close this bug with that comment.
> 
> If your app does not use systemd, then close this bug with that comment.
> 
> If you have no idea, then please add a comment, and change the bug to assigned.
> 
> I need to update the status on this feature.
> 
> 
> Thanks for your help.

Dan,

Tha Nagios package appears to be stalled since the beginning of 2011: it still uses an init script and it has quite a few bugs opened.

/jpo

References:

Package:
https://admin.fedoraproject.org/pkgdb/acls/name/nagios

Bugs:
https://admin.fedoraproject.org/pkgdb/acls/bugs/nagios
Comment 3 Jan ONDREJ 2012-02-07 06:09:26 EST
I talked to Peter, he is planning to retire from Fedora's nagios-related package and leave only EPEL packages.

Jose, have you time to look for these bugs? I don't know when I will have time to rewrite nagios init script to systemd service file.

I can confirm, that according to nagios default configuration nagios uses /tmp, so this bug can't be simply closed.
Comment 4 Jose Pedro Oliveira 2012-02-07 12:10:07 EST
(In reply to comment #3)
> I talked to Peter, he is planning to retire from Fedora's nagios-related
> package and leave only EPEL packages.
> 
> Jose, have you time to look for these bugs? I don't know when I will have time
> to rewrite nagios init script to systemd service file.

I have applied for full nagios access in all branches with the exception of EPEL4.
As soon as I have commit access I will start going through the opened nagios tickets.

/jpo
Comment 5 Jose Pedro Oliveira 2012-02-28 15:15:31 EST
(In reply to comment #4)
> (In reply to comment #3)
> > I talked to Peter, he is planning to retire from Fedora's nagios-related
> > package and leave only EPEL packages.
> > 
> > Jose, have you time to look for these bugs? I don't know when I will have time
> > to rewrite nagios init script to systemd service file.
> 
> I have applied for full nagios access in all branches with the exception of
> EPEL4.
> As soon as I have commit access I will start going through the opened nagios
> tickets.

Nagios in all active Fedora branches and in EPEL6 has been updated to version 3.3.1 (NVR: nagios-3.3.1-3) and we are now down to 10 open tickets (from the previous 25).  Caveat: the current release is still installing and using an init script.

Next weekend I'll try to create a systemd service file for nagios [1]. Most likely we will also have to keep the init script around in /usr/libexec [2].

/jpo

[1] - Targeting only Fedora 17 and 18.
[2] - The iptables package installs the old init script in /usr/libexec
      so that ppl can still save its state (save is not a valid systemctl 
      command).
Comment 6 Fedora Admin XMLRPC Client 2012-03-18 17:49:41 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora End Of Life 2013-04-03 10:54:31 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 8 Fedora End Of Life 2015-01-09 11:57:15 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2015-02-17 09:03:14 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.